# $Revision: 1.12 $, $Date: 2008/05/25 17:35:53 $
Summary:	Virtual keyboard for X Window System
Summary(pl.UTF-8):	Wirtualna klawiatura dla systemu X Window
Name:		xvkbd
Version:	3.0
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://homepage3.nifty.com/tsato/xvkbd/xvkbd-%{version}.tar.gz
# Source0-md5:	72fd96feeb2a589b2b68e9fa387afb0b
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://homepage3.nifty.com/tsato/xvkbd/
BuildRequires:	Xaw3d-devel
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-util-imake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/share/X11/app-defaults

%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(softwares) by clicking on a keyboard displayed on the screen.

%description -l pl.UTF-8
xvkbd to program z wirtualną (graficzną) klawiaturą dla X Window
System ułatwiającą wprowadzanie znaków na wejście innych klientów
(programów) poprzez klikanie na klawiaturze wyświetlonej na ekranie.

%prep
%setup -q

%build
xmkmf
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=%{_bindir} \
	CONFDIR=%{_datadir}/X11 \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_appdefsdir}/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xvkbd.spec,v $
Revision 1.12  2008/05/25 17:35:53  twittner
- add BR: xorg-cf-files
- rel. 4

Revision 1.11  2008-05-25 16:46:22  twittner
- add BR: xorg-util-imake (for xmkmf)

Revision 1.10  2008-05-10 18:33:02  twittner
- added desktop file and icon (produced from screenshot)
- rel. 2

Revision 1.9  2008-05-05 17:15:38  twittner
- up to 3.0

Revision 1.8  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.6  2006/10/15 21:35:32  wolvverine
- up to 2.8

Revision 1.5  2005/12/05 17:27:14  charles
- updated to 2.7a

Revision 1.4  2004/10/30 09:55:38  paladine
- pl fix

Revision 1.3  2004/03/31 17:45:31  qboosh
- use optflags, pass BINDIR - builds again; BR: Xaw3d-devel

Revision 1.2  2004/03/31 17:19:42  qboosh
- pl, standard prefix, cleanups (probably needs path fixes)

Revision 1.1  2004/03/31 09:11:27  pascalek
- Initial release
